All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components.linechart
Class LineChartDataModel

    com.sas.graphics.components.linechart.LineChartDataModel

Direct Known Subclasses:
  LineChartOLAPDataModel, LineChartTableDataModel

    public abstract class LineChartDataModel

Common superclass for all LineChart DataModels to provide a "type" of data model that can be assigned to a LineChart.

## Usage

A LineChartDataModel can be assigned to an instace of the LineChart class. Ex:

     LineChartDataModel dataModel = new LineChartTableDataModel( new SomeTaleModel() ); // See LineChartTableDataModel or LineChartOLAPDataModel
     LineChart lineChart = new LineChart();
     lineChart.setDataModel(dataModel);

## Behavior

See:
LineChartTableDataModel and LineChartOLAPDataModel

## Extending

This class provides a type for the LineChart's data models but is only intended for internal subclassing.

Since:
  SAS 9.1
See Also:
  `LineChartTableDataModel`, `LineChartOLAPDataModel`

Constructor Summary
`LineChartDataModel()`

Method Summary

Methods inherited from class com.sas.graphics.components.DataModel
`apply, equals, getLocale, getRulesContext, getSortStrategy, hashCode, setLocale, setRulesContext, setSortStrategy`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### LineChartDataModel

    public LineChartDataModel()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.